org.labkey.remoteapi.assay

## Class ExpObject

- java.lang.Object
- - org.labkey.remoteapi.ResponseObject
  - - org.labkey.remoteapi.assay.ExpObject

- Direct Known Subclasses:
    Batch, Data, Run

      public abstract class ExpObject
      extends ResponseObject

  Base class for experiment objects, including Run, Data, Batch, etc User: jeckels Date: Apr 28, 2010

- - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.ResponseObject

      `_allProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpObject()`
    `ExpObject(org.json.simple.JSONObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `java.lang.String` | `getName()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()`
    `void` | `setId(int id)`
    `void` | `setName(java.lang.String name)`
    `void` | `setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)`
    `org.json.simple.JSONObject` | `toJSON(java.util.Map<java.lang.String,java.lang.Object> properties)` Temp Fix for Issue: 23708 The Simple JSON library isn't properly serializing Dates, and generates invalid JSON.
    `org.json.simple.JSONObject` | `toJSONObject()`

    - ### Methods inherited from class org.labkey.remoteapi.ResponseObject

      `getAllProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpObject

          public ExpObject()

    - #### ExpObject

          public ExpObject(org.json.simple.JSONObject json)

  - ### Method Detail

    - #### toJSONObject

          public org.json.simple.JSONObject toJSONObject()

    - #### toJSON

          public org.json.simple.JSONObject toJSON(java.util.Map<java.lang.String,java.lang.Object> properties)

      Temp Fix for Issue: 23708 The Simple JSON library isn't properly serializing Dates, and generates invalid JSON. TODO: Investigate and replace with a different JSON library
      Parameters:
        `properties` - Map to serialize
      Returns:

    - #### getId

          public int getId()

      Returns:
        the auto-generated rowId for this object

    - #### setId

          public void setId(int id)

      Parameters:
        `id` - the auto-generated rowId for this object

    - #### getName

          public java.lang.String getName()

      Returns:
        the name assigned to this object

    - #### setName

          public void setName(java.lang.String name)

      Parameters:
        `name` - the name assigned to this object

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.Object> getProperties()

      Returns:
        the customizable properties attached to this object (Run Properties, Batch Properties, etc)

    - #### setProperties

          public void setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)

      Parameters:
        `properties` - the customizable properties attached to this object (Run Properties, Batch Properties, etc)